## python-scrapy 1.7.3

=== docs/Makefile ===
#
# Makefile for Scrapy documentation [based on Python documentation Makefile]
# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
#

# You can set these variables from the command line.
PYTHON       = python
SPHINXOPTS   =
PAPER        =
SOURCES      =
SHELL        = /bin/bash

ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees \
                -D latex_elements.papersize=$(PAPER) \
                $(SPHINXOPTS) . build/$(BUILDER) $(SOURCES)

.PHONY: help update build html htmlhelp clean

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  text      to make plain text files"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  watch     build HTML docs, open in browser and watch for changes"

build-dirs:
	mkdir -p build/$(BUILDER) build/doctrees

build: build-dirs
	sphinx-build $(ALLSPHINXOPTS)
	@echo

build-ignore-errors: build-dirs
	-sphinx-build $(ALLSPHINXOPTS)
	@echo


html: BUILDER = html
html: build
	@echo "Build finished. The HTML pages are in build/html."

htmlhelp: BUILDER = htmlhelp
htmlhelp: build
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      "build/htmlhelp/pydoc.hhp project file."

latex: BUILDER = latex
latex: build
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

text: BUILDER = text
text: build
	@echo "Build finished; the text files are in build/text."

changes: BUILDER = changes
changes: build
	@echo "The overview file is in build/changes."

linkcheck: BUILDER = linkcheck
linkcheck: build
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/$(BUILDER)/output.txt"

linkfix: BUILDER = linkcheck
linkfix: build-ignore-errors
	$(PYTHON) utils/linkfix.py
	@echo "Fixing redirecting links in docs has finished; check all " \
	      "replacements before committing them"

doctest: BUILDER = doctest
doctest: build
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt"

pydoc-topics: BUILDER = pydoc-topics
pydoc-topics: build
	@echo "Building finished; now copy build/pydoc-topics/pydoc_topics.py " \
	      "into the Lib/ directory"

coverage: BUILDER = coverage
coverage: build

htmlview: html
	 $(PYTHON) -c "import webbrowser, os; webbrowser.open('file://' + \
	 os.path.realpath('build/html/index.html'))"

clean:
	-rm -rf build/*

watch: htmlview
	watchmedo shell-command -p '*.rst' -c 'make html' -R -D

=== docs/requirements.txt ===
Sphinx>=2.1
sphinx_rtd_theme

=== debian/changelog ===
python-scrapy (1.7.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Add myself to Uploaders.
  * New upstream version.
  * Drop Python 2 support and the python-scrapy subpackage
  * Replace /usr/bin/scrapy alternative with the Python 3 implementation, drop
    /usr/bin/python3-scrapy.
  * Skip test parts that require new python3-testfixtures.
  * Use debian/pybuild.testfiles to run tests with pytest.ini and conftest.py.
  * Add Rules-Requires-Root: no.
  * Bump the debhelper comapt level to 12.
  * Bump Standards-Version to 4.4.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 02 Aug 2019 17:57:10 +0500

=== debian/control ===
Source: python-scrapy
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rahmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends:
 bash-completion,
 debhelper-compat (= 12),
 dh-python,
 python3-all,
Build-Depends-Indep:
 libjs-jquery,
 python3-botocore,
 python3-jmespath,
 python3-lxml,
 python3-mock,
 python3-parsel (>= 1.1.0-1~),
 python3-pil,
 python3-pydispatch,
 python3-pytest,
 python3-queuelib,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-testfixtures,
 python3-twisted (>= 17.1.0),
 python3-w3lib (>= 1.16.0-1~),
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scrapy
Vcs-Git: https://salsa.debian.org/python-team/modules/python-scrapy.git
Homepage: http://scrapy.org/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-scrapy-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python web scraping and crawling framework documentation
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the python-scrapy documentation in HTML format.

Package: python3-scrapy
Architecture: all
Depends:
 python3-boto,
 python3-cssselect,
 python3-libxml2,
 python3-lxml,
 python3-queuelib,
 python3-twisted,
 python3-w3lib (>= 1.8),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ipython3,
 python3-mysqldb,
 python3-pil,
 python3-pygments,
Suggests:
 python-scrapy-doc (= ${binary:Version}),
 python3-openssl,
Description: Python web scraping and crawling framework (Python 3)
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the scrapy module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=scrapy
export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo

%:
	dh $@ --with python3,bash_completion,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-scrapy-doc/usr/share/doc/python-scrapy-doc/html
	dh_sphinxdoc
endif

override_dh_install:
	dh_install -Xjquery.js

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_compress:
	dh_compress -X.js -Xobjects.inv

override_dh_installchangelogs:
	dh_installchangelogs docs/news.rst

## python-scrapy 2.3.0

=== debian/changelog ===
python-scrapy (2.3.0-1) unstable; urgency=medium

  [ Andrey Rahmatullin ]
  * New upstream version.
  * Require new python3-testfixtures, re-enable tests that need them.
  * Bump Standards-Version to 4.5.0.
  * Bump the debhelper compat level to 13.
  * Update debian/copyright.
  * Fix test problems caused by Debian OpenSSL strictness.
  * Disable Sphinx extensions that are not packaged.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 23 Aug 2020 13:27:36 +0500

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,35 @@
 Priority: optional
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
 Build-Depends-Indep:
  libjs-jquery,
+ mitmproxy,
  python3-botocore,
+ python3-itemadapter,
+ python3-itemloaders,
  python3-jmespath,
  python3-lxml,
  python3-mock,
  python3-parsel (>= 1.1.0-1~),
  python3-pil,
+ python3-protego,
  python3-pydispatch,
  python3-pytest,
+ python3-pytest-twisted,
  python3-queuelib,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- python3-testfixtures,
+ python3-testfixtures (>= 6.10.1),
  python3-twisted (>= 17.1.0),
  python3-w3lib (>= 1.16.0-1~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scrapy
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-scrapy.git
-Homepage: http://scrapy.org/
+Homepage: https://scrapy.org/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

## python-scrapy 2.4.1

=== docs/requirements.txt ===
Sphinx>=3.0
sphinx-hoverxref>=0.2b1
sphinx-notfound-page>=0.4
sphinx_rtd_theme>=0.4

=== debian/changelog ===
python-scrapy (2.4.1-2+deb11u1) bullseye; urgency=medium

  * Team upload.
  * Security fix for CVE-2021-41125: Don't send authentication data with all
    requests. Provide a http_auth_domain spider attribute to control which
    domains are allowed to receive the configured HTTP authentication
    credentials.
  * Security Fix CVE-2022-0577: Don't expose cookies cross-domain when
    redirected. (Closes: #1008234)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 20 May 2022 16:11:00 -0400

python-scrapy (2.4.1-2) unstable; urgency=medium

  * Skip tests that require network access (Closes: #980901).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 28 Feb 2021 18:55:45 +0500

python-scrapy (2.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Andrey Rahmatullin ]
  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 06 Dec 2020 02:43:52 +0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-scrapy
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rahmatullin <wrar@debian.org>
 Section: python
@@ -22,6 +22,7 @@
  python3-pil,
  python3-protego,
  python3-pydispatch,
+ python3-pyftpdlib,
  python3-pytest,
  python3-pytest-twisted,
  python3-queuelib,
@@ -30,10 +31,11 @@
  python3-sphinx-rtd-theme,
  python3-testfixtures (>= 6.10.1),
  python3-twisted (>= 17.1.0),
+ python3-uvloop,
  python3-w3lib (>= 1.16.0-1~),
 Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-scrapy
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-scrapy.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
 Homepage: https://scrapy.org/
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 export PYBUILD_NAME=scrapy
 export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
+# test_command_check.py requires network access
+export PYBUILD_TEST_ARGS=--ignore tests/test_command_check.py
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 %:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-scrapy-$1.tar.gz/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://github.com/scrapy/scrapy/releases \
/scrapy/scrapy/archive/([\d\.]+)\.tar\.gz

## python-scrapy 2.5.1

=== docs/requirements.txt ===
Sphinx>=3.0
sphinx-hoverxref>=0.2b1
sphinx-notfound-page>=0.4
sphinx-rtd-theme>=0.5.2

=== debian/changelog ===
python-scrapy (2.5.1-2ubuntu0.1~esm1) jammy-security; urgency=medium

  * SECURITY UPDATE: Cookie header exposed during cross domain redirect
    - debian/patches/CVE-2022-0577.patch: removes cookie header from 
       redirected requests to different domains
    - CVE-2022-0577
    
  * SECURITY UPDATE: Regular expression XML parsing vulnerable to DoS
    - debian/patches/CVE-2024-1892.patch: xmliter function depreciated
       and XMLFeedSpider switched to use the safe xmliter_lxml
    - CVE-2024-1892
    
  * SECURITY UPDATE: Missing max size checks vulnerable to decompression bomb
    - debian/patches/CVE-2024-3572.patch: Response max size checks added
       during decompression
    - CVE-2024-3572
    
  * SECURITY UPDATE: Authorization header exposure during cross-domain redirect
    - debian/patches/CVE-2024-3574.patch: removes authorization header when
       request redirected to a different domain
    - CVE-2024-3574
    
  * SECURITY UPDATE: Authorization header exposure during same domain redirect
    - debian/patches/CVE-2024-1968.patch: removes the authorization
       header during redirects where only the scheme changes.
    - CVE-2024-1968

  * fix-ftbfs-twisted-testwebclient.patch: python3-twisted v22 removed classes
      used for testing. Custom replacements added to tests/mockserver.py.
      
  * debian/rules: ftbfs skip test test_start_requests_lazyness
    
  * debian/source/include-binaries: added decompression bomb test data files

 -- Elise Hlady <elise.hlady@canonical.com>  Mon, 28 Apr 2025 16:17:53 -0700

python-scrapy (2.5.1-2) unstable; urgency=medium

  * Fix tests on Python 3.10 (Closes: #1002342).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 26 Dec 2021 22:31:19 +0500

python-scrapy (2.5.1-1) unstable; urgency=medium

  * New upstream version.
  * Run docs tests at the build time, add B-D: python3-sybil.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 05 Oct 2021 21:38:10 +0500

python-scrapy (2.5.0-2) unstable; urgency=medium

  * Skip some tests in test/test_squeues.py (broken with current
    python3-queuelib).
  * Bump Standards-Version to 4.6.0.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 18 Aug 2021 23:29:35 +0500

python-scrapy (2.5.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add B-D: python3-priority.
  * Re-enable HTTP2 tests.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 14 Apr 2021 21:53:54 +0500

python-scrapy (2.5.0-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.
  * Skip broken HTTP2 tests.
  * Drop no longer needed overrides about GA code.
  * Add Built-Using: ${sphinxdoc:Built-Using}.
  * Review and update B-D, Depends, Recommends and Suggests:
    + Drop Build-Depends: python3-pytest-twisted (no longer needed since this
      release).
    + Drop version restrictions which are satisfied in buster.
    + Drop explicit Depends that are autodetected.
    + Add explicit Depends: python3-pydispatch which is not autodetected
      anymore.
    + Drop obsolete Depends: python3-boto.
    + Drop obsolete Depends: python3-libxml2.
    + Drop obsolete Recommends: python3-mysqldb.
    + Drop Recommends: python3-pygments (improves only one rarely used
      feature).
    + Drop Suggests: python3-openssl (it's already in Depends).
    + Add Suggests: python3-botocore as a replacement for old
      Depends: python3-boto (all S3 code is optional).
    + Add Recommends: python3-brotli (useful for the br encoding).
  * Annotate B-D and the doc subpackage with !nocheck and !nodoc build
    profiles.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 13 Apr 2021 23:31:39 +0500

=== debian/control ===
Source: python-scrapy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rahmatullin <wrar@debian.org>
Section: python
Priority: optional
Build-Depends:
 bash-completion,
 debhelper-compat (= 13),
 dh-python,
 python3-all,
Build-Depends-Indep:
 libjs-jquery <!nodoc>,
 mitmproxy <!nocheck>,
 python3-botocore <!nocheck>,
 python3-itemadapter <!nocheck> <!nodoc>,
 python3-itemloaders <!nocheck> <!nodoc>,
 python3-jmespath <!nocheck>,
 python3-lxml <!nocheck>,
 python3-mock <!nocheck>,
 python3-parsel <!nocheck> <!nodoc>,
 python3-pil <!nocheck>,
 python3-priority <!nocheck>,
 python3-protego <!nocheck>,
 python3-pydispatch <!nocheck> <!nodoc>,
 python3-pyftpdlib <!nocheck>,
 python3-pytest <!nocheck>,
 python3-queuelib <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sybil <!nocheck>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-testfixtures (>= 6.10.1) <!nocheck>,
 python3-twisted <!nocheck> <!nodoc>,
 python3-uvloop <!nocheck>,
 python3-w3lib <!nocheck> <!nodoc>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
Homepage: https://scrapy.org/
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python-scrapy-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using}
Build-Profiles: <!nodoc>
Description: Python web scraping and crawling framework documentation
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the python-scrapy documentation in HTML format.

Package: python3-scrapy
Architecture: all
Depends:
 python3-lxml,
 python3-pydispatch,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ipython3,
 python3-brotli,
 python3-pil,
Suggests:
 python3-botocore,
 python-scrapy-doc (= ${binary:Version}),
Description: Python web scraping and crawling framework (Python 3)
 Scrapy is a fast high-level screen scraping and web crawling framework,
 used to crawl websites and extract structured data from their pages.
 It can be used for a wide range of purposes, from data mining to
 monitoring and automated testing.
 .
 This package provides the scrapy module for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,10 @@
 export PYBUILD_NAME=scrapy
 export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
 # test_command_check.py requires network access
-export PYBUILD_TEST_ARGS=--ignore tests/test_command_check.py
+# some test_squeues.py tests are broken with recent python3-queuelib until the next python3-scrapy release
+export PYBUILD_TEST_ARGS= \
+	--ignore tests/test_command_check.py \
+    -k 'not (test_squeues.py and (test_peek_fifo or test_peek_one_element or test_peek_lifo)) and not test_start_requests_lazyness'
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 %:

## python-scrapy 2.6.2

=== debian/changelog ===
python-scrapy (2.6.2-1) unstable; urgency=medium

  * New upstream version.
  * Update lintian overrides to the new format.

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 20 Aug 2022 18:40:39 +0500

python-scrapy (2.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Supports twisted 22.1 (Closes: #1006559).
  * Drop patch 0002-Fix-tests-for-the-3.10-TypeError-message-change.patch,
    superseded upstream.
  * Build-Depend on python3-tldextract.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 18 May 2022 12:24:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-scrapy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rahmatullin <wrar@debian.org>
 Section: python
@@ -32,6 +31,7 @@
  python3-sybil <!nocheck>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-testfixtures (>= 6.10.1) <!nocheck>,
+ python3-tldextract <!nocheck>,
  python3-twisted <!nocheck> <!nodoc>,
  python3-uvloop <!nocheck>,
  python3-w3lib <!nocheck> <!nodoc>,

## python-scrapy 2.7.1

=== debian/changelog ===
python-scrapy (2.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 03 Nov 2022 21:43:43 +0500

python-scrapy (2.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Update debian/watch.
  * Bump Standards-Version to 4.6.1.

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 21 Oct 2022 17:24:07 +0500

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3-twisted <!nocheck> <!nodoc>,
  python3-uvloop <!nocheck>,
  python3-w3lib <!nocheck> <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
 Homepage: https://scrapy.org/

## python-scrapy 2.8.0

=== docs/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 SPHINXOPTS   =
 PAPER        =
 SOURCES      =
-SHELL        = /bin/bash
+SHELL        = /usr/bin/env bash
 
 ALLSPHINXOPTS = -b $(BUILDER) -d build/doctrees \
                 -D latex_elements.papersize=$(PAPER) \
@@ -86,8 +86,8 @@
 coverage: build
 
 htmlview: html
-	 $(PYTHON) -c "import webbrowser, os; webbrowser.open('file://' + \
-	 os.path.realpath('build/html/index.html'))"
+	 $(PYTHON) -c "import webbrowser; from pathlib import Path; \
+	 webbrowser.open('file://' + Path('build/html/index.html').resolve())"
 
 clean:
 	-rm -rf build/*

=== docs/requirements.txt ===
sphinx==5.0.2
sphinx-hoverxref==1.1.1
sphinx-notfound-page==0.8
sphinx-rtd-theme==1.0.0

=== tests/requirements.txt ===
# Tests requirements
attrs
pyftpdlib
pytest
pytest-cov==3.0.0
pytest-xdist
sybil >= 1.3.0  # https://github.com/cjw296/sybil/issues/20#issuecomment-605433422
testfixtures
uvloop; platform_system != "Windows"

# optional for shell wrapper tests
bpython
brotli  # optional for HTTP compress downloader middleware tests
zstandard; implementation_name != 'pypy'  # optional for HTTP compress downloader middleware tests
ipython
pywin32; sys_platform == "win32"

=== debian/changelog ===
python-scrapy (2.8.0-2) unstable; urgency=medium

  * Remove B-D: mitmproxy as tests break with the new version of it (Closes:
    #1033425).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 26 Mar 2023 17:57:50 +0400

python-scrapy (2.8.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.6.2.
  * Re-enable the notfound Sphinx extension and add B-D on
    python3-sphinx-notfound-page.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 02 Feb 2023 13:43:11 +0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-scrapy
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rahmatullin <wrar@debian.org>
+ Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rakhmatullin <wrar@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -11,7 +11,8 @@
  python3-all,
 Build-Depends-Indep:
  libjs-jquery <!nodoc>,
- mitmproxy <!nocheck>,
+# mitmproxy > 8 breaks the tests, https://github.com/scrapy/scrapy/issues/5454
+# mitmproxy <!nocheck>,
  python3-botocore <!nocheck>,
  python3-itemadapter <!nocheck> <!nodoc>,
  python3-itemloaders <!nocheck> <!nodoc>,
@@ -29,13 +30,14 @@
  python3-setuptools,
  python3-sphinx,
  python3-sybil <!nocheck>,
+ python3-sphinx-notfound-page <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-testfixtures (>= 6.10.1) <!nocheck>,
  python3-tldextract <!nocheck>,
  python3-twisted <!nocheck> <!nodoc>,
  python3-uvloop <!nocheck>,
  python3-w3lib <!nocheck> <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
 Homepage: https://scrapy.org/

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # some test_squeues.py tests are broken with recent python3-queuelib until the next python3-scrapy release
 export PYBUILD_TEST_ARGS= \
 	--ignore tests/test_command_check.py \
-    -k 'not (test_squeues.py and (test_peek_fifo or test_peek_one_element or test_peek_lifo)) and not test_start_requests_lazyness'
+    -k 'not (test_squeues.py and (test_peek_fifo or test_peek_one_element or test_peek_lifo))'
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 %:

## python-scrapy 2.9.0

=== debian/changelog ===
python-scrapy (2.9.0-2) unstable; urgency=medium

  * Migrate from manual autopkgtests to autopkgtest-pkg-pybuild.
  * Skip test_utf16 as it doesn't work on big-endian.
  * Mark autopkgtests as flaky because of frequent random failures.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 20 Jun 2023 21:43:50 +0400

python-scrapy (2.9.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Re-enable queue tests.
  * Disable the test_start_requests_laziness test (flaky).
  * Move from dh --with to B-D: dh-sequence-*.
  * Add autopkgtests.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 15 Jun 2023 21:41:55 +0400

python-scrapy (2.9.0-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.
  * Require python3-parsel >= 1.8.1 for running tests.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 27 May 2023 19:24:43 +0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Section: python
 Priority: optional
 Build-Depends:
- bash-completion,
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-bash-completion,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc,
  python3-all,
 Build-Depends-Indep:
  libjs-jquery <!nodoc>,
@@ -19,7 +20,7 @@
  python3-jmespath <!nocheck>,
  python3-lxml <!nocheck>,
  python3-mock <!nocheck>,
- python3-parsel <!nocheck> <!nodoc>,
+ python3-parsel (>= 1.8.1) <!nocheck> <!nodoc>,
  python3-pil <!nocheck>,
  python3-priority <!nocheck>,
  python3-protego <!nocheck>,
@@ -28,7 +29,7 @@
  python3-pytest <!nocheck>,
  python3-queuelib <!nocheck>,
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx <!nodoc>,
  python3-sybil <!nocheck>,
  python3-sphinx-notfound-page <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
@@ -41,7 +42,7 @@
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
 Homepage: https://scrapy.org/
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python-scrapy-doc

## python-scrapy 2.10.0

=== tests/requirements.txt ===
# Tests requirements
attrs
# https://github.com/giampaolo/pyftpdlib/issues/560
pyftpdlib; python_version < "3.12"
pytest
pytest-cov==4.0.0
pytest-xdist
sybil >= 1.3.0  # https://github.com/cjw296/sybil/issues/20#issuecomment-605433422
testfixtures
# uvloop currently doesn't build on 3.12
uvloop; platform_system != "Windows" and python_version < "3.12"

# bpython requires greenlet which currently doesn't build on 3.12
bpython; python_version < "3.12"  # optional for shell wrapper tests
brotli  # optional for HTTP compress downloader middleware tests
zstandard; implementation_name != 'pypy'  # optional for HTTP compress downloader middleware tests
ipython
pywin32; sys_platform == "win32"

=== debian/changelog ===
python-scrapy (2.10.0-1) unstable; urgency=medium

  * New upstream version.
  * Add python3-boto3 to B-D and Suggests.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 06 Aug 2023 00:32:44 +0400

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  libjs-jquery <!nodoc>,
 # mitmproxy > 8 breaks the tests, https://github.com/scrapy/scrapy/issues/5454
 # mitmproxy <!nocheck>,
+ python3-boto3 <!nocheck>,
  python3-botocore <!nocheck>,
  python3-itemadapter <!nocheck> <!nodoc>,
  python3-itemloaders <!nocheck> <!nodoc>,
@@ -73,6 +74,7 @@
  python3-brotli,
  python3-pil,
 Suggests:
+ python3-boto3,
  python3-botocore,
  python-scrapy-doc (= ${binary:Version}),
 Description: Python web scraping and crawling framework (Python 3)

## python-scrapy 2.11.1

=== tests/requirements.txt ===
# Tests requirements
attrs
pexpect >= 4.8.0
pyftpdlib >= 1.5.8
pytest
pytest-cov==4.0.0
pytest-xdist
sybil >= 1.3.0  # https://github.com/cjw296/sybil/issues/20#issuecomment-605433422
testfixtures
uvloop; platform_system != "Windows"

bpython  # optional for shell wrapper tests
brotli; implementation_name != 'pypy'  # optional for HTTP compress downloader middleware tests
# 1.1.0 is broken on PyPy: https://github.com/google/brotli/issues/1072
brotli==1.0.9; implementation_name == 'pypy'  # optional for HTTP compress downloader middleware tests
zstandard; implementation_name != 'pypy'  # optional for HTTP compress downloader middleware tests
ipython
pywin32; sys_platform == "win32"

=== debian/changelog ===
python-scrapy (2.11.1-1ubuntu0.1~esm2) noble-security; urgency=medium

  * SECURITY UPDATE: Authorization header exposure during same domain redirect
    - debian/patches/CVE-2024-1968.patch: Properly removes the authorization
      header during redirects where only the scheme changes.
    - CVE-2024-1968

  * Fix test_python_utils.py test_get_func_args causing FTBFS
    - debian/patches/ftbfs-fix-test-get-func-args.patch: updates assert 
      statement to work with older CPython versions

  * debian/rules: fix syntax for PYBUILD_TEST_ARGS to properly skip tests

 -- Elise Hlady <elise.hlady@canonical.com>  Thu, 17 Apr 2025 14:35:56 -0700

python-scrapy (2.11.1-1) unstable; urgency=medium

  [ Andrey Rakhmatullin ]

  * New upstream version.
  * Add B-D: python3-pexpect.

  [ Alexandre Detiste ]

  * Remove an extraneous build dependency on python3-mock.

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 01 Mar 2024 00:23:13 +0500

python-scrapy (2.11.0-2) unstable; urgency=medium

  * Work around a build failure with Sphinx 7.2.6.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 14 Dec 2023 00:56:45 +0400

python-scrapy (2.11.0-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 20 Sep 2023 00:42:19 +0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: python-scrapy
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rakhmatullin <wrar@debian.org>
 Section: python
@@ -20,8 +21,8 @@
  python3-itemloaders <!nocheck> <!nodoc>,
  python3-jmespath <!nocheck>,
  python3-lxml <!nocheck>,
- python3-mock <!nocheck>,
  python3-parsel (>= 1.8.1) <!nocheck> <!nodoc>,
+ python3-pexpect <!nocheck>,
  python3-pil <!nocheck>,
  python3-priority <!nocheck>,
  python3-protego <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=scrapy
export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
# test_command_check.py requires network access: https://github.com/scrapy/scrapy/issues/5409
# test_start_requests_laziness is especially flaky: https://github.com/scrapy/scrapy/issues/5957
# test_utf16 is broken on big-endian: https://github.com/scrapy/scrapy/issues/5954
export PYBUILD_TEST_ARGS= \
	--ignore tests/test_command_check.py \
	-k 'not (test_start_requests_laziness or test_utf16)'
export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -N docs/ $(CURDIR)/debian/python-scrapy-doc/usr/share/doc/python-scrapy-doc/html
	dh_sphinxdoc
endif

override_dh_installchangelogs:
	dh_installchangelogs docs/news.rst

## python-scrapy 2.11.2

=== debian/changelog ===
python-scrapy (2.11.2-1) unstable; urgency=medium

  * New upstream version.
    + Makes the docs build reproducible (Closes: #983852).
    + Add B-D: python3-defusedxml.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 14 May 2024 17:45:25 +0500

python-scrapy (2.11.1-2) unstable; urgency=medium

  * Fix tests on recent Python point releases.
  * Fix skipping test_start_requests_laziness.
  * Annotate dh-sequence-sphinxdoc and python3-tldextract with !nodoc.
  * Add an explicit B-D: python3-pygments.
  * Re-enable sphinx-hoverxref, add it to B-D.
  * Switch to local intersphinx files.
  * Bump Standards-Version to 4.7.0.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 24 Apr 2024 11:31:47 +0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-scrapy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rakhmatullin <wrar@debian.org>
 Section: python
@@ -9,14 +8,23 @@
  debhelper-compat (= 13),
  dh-sequence-bash-completion,
  dh-sequence-python3,
- dh-sequence-sphinxdoc,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
 Build-Depends-Indep:
  libjs-jquery <!nodoc>,
 # mitmproxy > 8 breaks the tests, https://github.com/scrapy/scrapy/issues/5454
 # mitmproxy <!nocheck>,
+ python-attr-doc <!nodoc>,
+ python-coverage-doc <!nodoc>,
+ python-cryptography-doc <!nodoc>,
+ python-cssselect-doc <!nodoc>,
+ python-itemloaders-doc <!nodoc>,
+ python-pytest-doc <!nodoc>,
+ python-w3lib-doc <!nodoc>,
  python3-boto3 <!nocheck>,
  python3-botocore <!nocheck>,
+ python3-defusedxml (>= 0.7.1) <!nocheck> <!nodoc>,
+ python3-doc <!nodoc>,
  python3-itemadapter <!nocheck> <!nodoc>,
  python3-itemloaders <!nocheck> <!nodoc>,
  python3-jmespath <!nocheck>,
@@ -28,19 +36,24 @@
  python3-protego <!nocheck>,
  python3-pydispatch <!nocheck> <!nodoc>,
  python3-pyftpdlib <!nocheck>,
+ python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
  python3-queuelib <!nocheck>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
- python3-sybil <!nocheck>,
+ python3-sphinx-hoverxref <!nodoc>,
  python3-sphinx-notfound-page <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
+ python3-sybil <!nocheck>,
  python3-testfixtures (>= 6.10.1) <!nocheck>,
- python3-tldextract <!nocheck>,
+ python3-tldextract <!nocheck> <!nodoc>,
  python3-twisted <!nocheck> <!nodoc>,
  python3-uvloop <!nocheck>,
  python3-w3lib <!nocheck> <!nodoc>,
-Standards-Version: 4.6.2
+ sphinx-doc <!nodoc>,
+ tox <!nodoc>,
+ twisted-doc <!nodoc>,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
 Homepage: https://scrapy.org/

## python-scrapy 2.12.0

=== docs/Makefile ===
--- 
+++ 
@@ -87,7 +87,7 @@
 
 htmlview: html
 	 $(PYTHON) -c "import webbrowser; from pathlib import Path; \
-	 webbrowser.open('file://' + Path('build/html/index.html').resolve())"
+	 webbrowser.open(Path('build/html/index.html').resolve().as_uri())"
 
 clean:
 	-rm -rf build/*

=== docs/requirements.txt ===
sphinx==6.2.1
sphinx-hoverxref==1.3.0
sphinx-notfound-page==1.0.0
sphinx-rtd-theme==2.0.0

=== debian/changelog ===
python-scrapy (2.12.0-2) unstable; urgency=medium

  * Fix FTBFS with newer python3-botocore (Closes: #1098611).
  * Bump Standards-Version to 4.7.2.
  * Drop the Rules-Requires-Root field.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 03 Mar 2025 17:37:11 +0500

python-scrapy (2.12.0-1) unstable; urgency=medium

  * New upstream version.
    + Drop Depends: python3-pkg-resources (Closes: #1083704).

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 19 Nov 2024 14:24:06 +0500

python-scrapy (2.11.2-3) unstable; urgency=medium

  * Fix running tests on Python 3.13 (Closes: #1082268).
  * Fix test_proxy_connect. Don't re-add B-D: mitmproxy as it's currently
    RC-buggy and unmaintained.
  * Drop CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 28 Sep 2024 13:38:21 +0500

python-scrapy (2.11.2-2) unstable; urgency=medium

  * Add B-D: publicsuffix to stop requiring network access (Closes: #1076827).
  * Set CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1 to work around #1078747.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 17 Aug 2024 18:51:11 +0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,9 @@
  python3-all,
 Build-Depends-Indep:
  libjs-jquery <!nodoc>,
-# mitmproxy > 8 breaks the tests, https://github.com/scrapy/scrapy/issues/5454
+# mitmproxy is RC-buggy
 # mitmproxy <!nocheck>,
+ publicsuffix <!nocheck>,
  python-attr-doc <!nodoc>,
  python-coverage-doc <!nodoc>,
  python-cryptography-doc <!nodoc>,
@@ -53,12 +54,11 @@
  sphinx-doc <!nodoc>,
  tox <!nodoc>,
  twisted-doc <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
 Homepage: https://scrapy.org/
 Testsuite: autopkgtest-pkg-pybuild
-Rules-Requires-Root: no
 
 Package: python-scrapy-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 export PYBUILD_NAME=scrapy
+# needed because of tox in B-D
+export PYBUILD_TEST_PYTEST=1
 export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
 # test_command_check.py requires network access: https://github.com/scrapy/scrapy/issues/5409
 # test_start_requests_laziness is especially flaky: https://github.com/scrapy/scrapy/issues/5957

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/python-scrapy-$1.tar.gz/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://github.com/scrapy/scrapy/tags \
/scrapy/scrapy/archive/refs/tags/([\d\.]+)\.tar\.gz

## python-scrapy 2.13.1

=== debian/changelog ===
python-scrapy (2.13.1-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 05 Jun 2025 23:00:49 +0500

=== debian/control ===
--- 
+++ 
@@ -20,12 +20,14 @@
  python-cryptography-doc <!nodoc>,
  python-cssselect-doc <!nodoc>,
  python-itemloaders-doc <!nodoc>,
+ python-parsel-doc <!nodoc>,
  python-pytest-doc <!nodoc>,
  python-w3lib-doc <!nodoc>,
  python3-boto3 <!nocheck>,
  python3-botocore <!nocheck>,
  python3-defusedxml (>= 0.7.1) <!nocheck> <!nodoc>,
  python3-doc <!nodoc>,
+ python3-hatchling,
  python3-itemadapter <!nocheck> <!nodoc>,
  python3-itemloaders <!nocheck> <!nodoc>,
  python3-jmespath <!nocheck>,
@@ -33,6 +35,7 @@
  python3-parsel (>= 1.8.1) <!nocheck> <!nodoc>,
  python3-pexpect <!nocheck>,
  python3-pil <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-priority <!nocheck>,
  python3-protego <!nocheck>,
  python3-pydispatch <!nocheck> <!nodoc>,
@@ -40,7 +43,6 @@
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
  python3-queuelib <!nocheck>,
- python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-hoverxref <!nodoc>,
  python3-sphinx-notfound-page <!nodoc>,

## python-scrapy 2.13.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-scrapy (2.13.3-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix tests on 32-bit arches.
  * Don't use obsolete python3-sphinx-hoverxref.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 09 Aug 2025 17:23:01 +0500

python-scrapy (2.13.3-1~exp1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 06 Jul 2025 19:54:09 +0500

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
  python3-pytest <!nocheck>,
  python3-queuelib <!nocheck>,
  python3-sphinx <!nodoc>,
- python3-sphinx-hoverxref <!nodoc>,
  python3-sphinx-notfound-page <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sybil <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,10 @@
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
 # test_command_check.py requires network access: https://github.com/scrapy/scrapy/issues/5409
-# test_start_requests_laziness is especially flaky: https://github.com/scrapy/scrapy/issues/5957
 # test_utf16 is broken on big-endian: https://github.com/scrapy/scrapy/issues/5954
 export PYBUILD_TEST_ARGS= \
 	--ignore tests/test_command_check.py \
-	-k 'not (test_start_requests_laziness or test_utf16)'
+	-k 'not test_utf16'
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 %:

## python-scrapy 2.13.4

=== docs/requirements.txt ===
sphinx==8.1.3
sphinx-notfound-page==1.0.4
sphinx-rtd-theme==3.0.2
sphinx-rtd-dark-mode==1.3.0

=== debian/changelog ===
python-scrapy (2.13.4-1) unstable; urgency=medium

  * New upstream version.
    + Improved protection against brotli decompression bombs (CVE-2025-6176).
  * Drop d/watch in favor of d/upstream/metadata.
  * Drop the Priority field.
  * Remove the obsolete Python 3 mentions from the description.

 -- Andrey Rakhmatullin <wrar@debian.org>  Mon, 17 Nov 2025 17:40:26 +0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Ignace Mouzannar <mouzannar@gmail.com>, Andrey Rakhmatullin <wrar@debian.org>
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-bash-completion,
@@ -92,10 +91,8 @@
  python3-boto3,
  python3-botocore,
  python-scrapy-doc (= ${binary:Version}),
-Description: Python web scraping and crawling framework (Python 3)
+Description: Python web scraping and crawling framework
  Scrapy is a fast high-level screen scraping and web crawling framework,
  used to crawl websites and extract structured data from their pages.
  It can be used for a wide range of purposes, from data mining to
  monitoring and automated testing.
- .
- This package provides the scrapy module for Python 3.

## python-scrapy 2.14.0

=== debian/changelog ===
python-scrapy (2.14.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 4.7.3.

 -- Andrey Rakhmatullin <wrar@debian.org>  Wed, 07 Jan 2026 21:10:02 +0500

python-scrapy (2.13.4-2) unstable; urgency=medium

  * Fix tests on Python 3.14 (Closes: #1123309).

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 18 Dec 2025 14:14:46 +0500

## python-scrapy 2.14.1

=== docs/requirements.txt ===
h2==4.3.0
pydantic==2.12.3
scrapy-spider-metadata==0.2.0
sphinx==8.1.3
sphinx-notfound-page==1.0.4
sphinx-rtd-theme==3.0.2
sphinx-rtd-dark-mode==1.3.0

=== debian/changelog ===
python-scrapy (2.14.1-1) unstable; urgency=medium

  * New upstream version.

 -- Andrey Rakhmatullin <wrar@debian.org>  Sun, 18 Jan 2026 17:15:59 +0500

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  python3-defusedxml (>= 0.7.1) <!nocheck> <!nodoc>,
  python3-doc <!nodoc>,
  python3-hatchling,
+ python3-h2 <!nocheck> <!nodoc>,
  python3-itemadapter <!nocheck> <!nodoc>,
  python3-itemloaders <!nocheck> <!nodoc>,
  python3-jmespath <!nocheck>,
@@ -41,6 +42,7 @@
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-twisted <!nocheck>,
  python3-queuelib <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-notfound-page <!nodoc>,
@@ -54,7 +56,7 @@
  sphinx-doc <!nodoc>,
  tox <!nodoc>,
  twisted-doc <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scrapy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scrapy.git
 Homepage: https://scrapy.org/

=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,11 @@
 export PYBUILD_TEST_PYTEST=1
 export PYBUILD_BEFORE_TEST=cd {dir}/tests/keys; cat example-com.key.pem example-com.cert.pem >cert.pem
 # test_command_check.py requires network access: https://github.com/scrapy/scrapy/issues/5409
+# test_asyncio_enabled_reactor_same_loop doesn't work with current Debian Twisted
 # test_utf16 is broken on big-endian: https://github.com/scrapy/scrapy/issues/5954
 export PYBUILD_TEST_ARGS= \
 	--ignore tests/test_command_check.py \
-	-k 'not test_utf16'
+	-k 'not (TestCrawlerProcessSubprocess and test_asyncio_enabled_reactor_same_loop) and not test_utf16'
 export DH_ALWAYS_EXCLUDE=license.txt:_sources/:.buildinfo
 
 %:
